{% block stored_object_widget %}
    {% if form.title is defined %} {{ form_row(form.title) }} {% endif %}
    <div
        data-stored-object="data-stored-object"
        data-label-preparing="{{ ('Preparing'|trans ~ '...')|escape('html_attr') }}"
        data-label-quiet-button="{{ 'Download existing file'|trans|escape('html_attr') }}"
        data-label-ready="{{ 'Ready to show'|trans|escape('html_attr') }}"
        data-dict-file-too-big="{{ 'File too big'|trans|escape('html_attr') }}"
        data-dict-default-message="{{ "Drop your file or click here"|trans|escape('html_attr') }}"
        data-dict-remove-file="{{ 'Remove file in order to upload a new one'|trans|escape('html_attr') }}"
        data-dict-max-files-exceeded="{{ 'Max files exceeded. Remove previous files'|trans|escape('html_attr') }}"
        data-dict-cancel-upload="{{ 'Cancel upload'|trans|escape('html_attr') }}"
        data-dict-cancel-upload-confirm="{{ 'Are you sure you want to cancel this upload ?'|trans|escape('html_attr') }}"
        data-dict-upload-canceled="{{ 'Upload canceled'|trans|escape('html_attr') }}"
        data-dict-remove="{{ 'Remove existing file'|trans|escape('html_attr') }}"
        data-allow-remove="{% if required %}false{% else %}true{% endif %}"
        data-temp-url-generator="{{ path('async_upload.generate_url', { 'method': 'GET' })|escape('html_attr') }}">
        {{ form_widget(form.filename) }}
        {{ form_widget(form.keyInfos, { 'attr': { 'data-stored-object-key': 1 } }) }}
        {{ form_widget(form.iv, { 'attr': { 'data-stored-object-iv': 1 } }) }}
        {{ form_widget(form.type, { 'attr': { 'data-async-file-type': 1 } }) }}
    </div>
{% endblock %}
